body {
    font-family: 'Inter', sans-serif;
	background-color: #f5f5f5;
}

.hero {
	border-radius: 1rem;
	color: #fff;
	padding: 22vh 0rem;
    height: 80vh;
	position: relative;
	overflow: hidden;
}
.hero-container {
    width: 90%;
    margin: auto;
}
.hero::before {
	content: '';
	position: absolute;
	inset: 0;
	background: rgba(0, 0, 0, 0.6);
	border-radius: 1rem;
}

.hero-content {
	position: relative;
	z-index: 1;
}

.hero h1 {
    text-transform: uppercase;
	font-size: 48px;
	font-weight: 600;
}

.hero h1 span {
	color: #ff5000;
}

.hero p {
	font-size: 0.95rem;
    color: #A7AFBA;
	margin-bottom: 2rem;
}

.appointment-form {
	background: #fff;
  border-radius: 3rem;
  display: flex;
  overflow: hidden;
  padding: 9px 12px;
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
}

.appointment-form input {
	border: none;
	padding: 1rem;
	flex: 1;
}

.appointment-form input:focus {
	outline: none;
	box-shadow: none;
}

.appointment-form button {
	background-color: #ff5000;
	color: #fff;
	border: none;
	padding: 0 2rem;
	font-weight: 600;
    border-radius: 30px;
}

.top-bar {
	display: flex;
	justify-content: flex-end;
	gap: 2rem;
	font-size: 15px;
	padding: 0.5rem 0;
	color: #333;
}
.icon {
    line-height: 25px;
}
.icon img {
    height: 25px;
    margin-right: 0.75rem;
    filter: grayscale(100%); 
    transition: filter 0.3s ease;
}

.icon img:hover {
    filter: grayscale(0%) drop-shadow(0 0 0 #FF3600);
}


.navbar-brand {
	font-weight: 700;
	color: #ff5000;
}
.container .alert {
    width: fit-content;
    border-radius: 30px;
    padding: 8px 20px;
}

footer {
    font-size: 14px;
    padding: 3.5vh 0vh;
    color: #676767;
}
.btn {
    display: inline-block;
  padding: 5px 15px;
  background-color: none;
  color: white;
  border-radius: 30px;
  cursor: pointer;
  user-select: none;
  font-size: 14px;
  transition: background-color 0.2s;

}
.btn:hover {
    background-color: #ff5000;
    color: #fff;
}
.admin-page {
    background: #fff;
    padding: 25px;
    border-radius: 10px;
    border: 1px solid #ddd;
}
.admin-page h2 {
    font-size: 18px;
    padding: 6px 0px 10px 0px;
}
.table {
    border: 1px solid #dfdfdf;
}
.signout-btn {
    border: 1px solid #dfdfdf;
    color: #333;
}
.signout-btn:hover {
    border: 1px solid #ff5000;
    color: #fff;
    background: #ff5000;
}
.login {
    padding: 10px 0px;
    background: #1d1d1d;
    border: none;
}
.login-card {
        display: flex;
        flex-direction: row;
        height: 70vh;
        margin: auto;
        border: 1px solid #dfdfdf;
        border-radius: 0.5rem;
        overflow: hidden;
    }
label {
    display: inline-block;
    margin-bottom: 5px;
}
    .login-card .login-image {
        width: 50%;
        object-fit: cover;
    }

    .login-card .login-form {
        width: 50%;
        background: #fff;
            padding: 2rem 6rem;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    .top-bar a {
        text-decoration: none;
        color: #000;
    }

@media (max-width: 768px) {
        .hero-container {
            width: 100%;
        }
        .hero-content .container {
            padding: 0px 30px;
        }
        .hero {
            padding: 5vh 0rem;
            border-radius: 0px;
            height: auto;
        }
        .hero h1 {
            font-size: 38px;
            font-weight: 600;
        }
        .appointment-form {
            display: block;
            border-radius: 3px;
        }
        .appointment-form input {
           width: 100%!important;
           border-bottom: 1px solid #ddd;
           border-radius: 0px;
        }
        .appointment-form button[type="submit"] {
            width: 100%;
            margin-top: 15px;
            padding: 10px 0px;
        }
        .login-card {
            flex-direction: column;
            height: auto;
        }
        .top-bar {
            display: flex;
            justify-content: flex-end;
            gap: 25px;
            font-size: 13px;
            padding: 0.0rem 0;
            color: #333;
            margin: auto;
            margin-top: 10px;
            }
            .top-bar {
                width: 50%;
                display: inline-block;
            }
            .icon {
                width: 98%;
                line-height: 25px;
            }
            .navbar-brand {
                
                width: 40%;
            }
            .mb-logo {
                padding-right: 10px;
                width: 157px;
                margin: auto;
                display: block;
            }
        .login-image {
            display: none;
        }
        .login-card .login-image,
        .login-card .login-form {
            width: 100%;
        }
        .login-card .login-image {
            height: 200px;
        }
        .time-select {
            width: 100%!important;
        }
        .appointment-form label {
            padding: 15px 10px;
            display: block!important;
        }
        .dat-select {
            padding-top: 5px!important;
            padding-bottom: 0px!important;
            padding-left: 16px!important;
            padding-right: 16px!important;
        }
        .dat-select input {
            text-align: left!important;
            color: #000!important;
            background: #eee!important; 
            border: 0px!important   
        }
        
}

    ::-webkit-input-placeholder { 
        text-transform: none;
    }

    ::-webkit-input-placeholder { 
        text-transform: none;
    }
    :-moz-placeholder { 
        text-transform: none;
    }
    ::-moz-placeholder { 
        text-transform: none;
    }
    :-ms-input-placeholder { 
        text-transform: none;
    }
    ::placeholder { 
        text-transform: none;
    }

    .login-card h3 {
        text-align: center;
        margin-bottom: 1.5rem;
        font-weight: 500;
    }

    .login-card .btn-primary {
        width: 100%;
    }


    .flatpickr-input[readonly] {
    background-color: #fff !important;
    color: #000 !important;
}

.flatpickr-input::placeholder {
    color: #888; /* kad matytųsi pilkas tekstas */
}
.dat-select input {
    background: none!important; 
    border: 0px!important;
    padding: 28px 0px;
}
#time-slots {
  order: 0;
}
#time-slots .btn {
    background-color: #1d1d1d;
}
#time-slots .btn:hover {
    background-color: #ff5000;
}

/* Mobilus (max 768px) – perkeliame virš "Registruotis" */
@media (max-width: 768px) {
  #time-slots {
    order: -1; /* perkeliam aukščiau nei mygtukas */
    margin-bottom: 15px;
  }

  .appointment-form button {
    order: 0;
  }
}
.appointment-form label {
    padding: 15px 10px;
    display: none;
}
